Que en Paz descanse :

en donde las cosas no tienen sentido

 


Archivos
Feb 06 [3]
Ene 06 [13]
Dic 05 [30]
Nov 05 [30]
Oct 05 [1]
Sep 05 [1]
Jun 05 [1]
Mar 05 [1]
Ene 05 [1]
Dic 04 [2]
Oct 04 [1]
Sep 04 [1]
Ago 04 [2]
Jul 04 [2]
Mayo 04 [1]
Abr 04 [4]
Mar 04 [3]


Sindicación
Artículos
Comentarios


Enlaces
1.Album.de.Fotos
2.Album.de.Fotos
3.Album.de.Fotos
mi.ex.blog


Recomendados
erectus
HemorroIdeas
Juan27







mfg@jabberes.org
 
Inicio | Mi Perfil | Enviar artículo | Suscríbete al blog
 

Instalar Programas Sin Repositorios

Enlace permanente 11 de Enero, 2006, 20:04

El objetivo de este mini articulillo es hacer notar que existen caminos para instalar paquetes en distribuciones basadas en el modelo de debian, de forma bastante comoda y rapida... aunque no se garantiza en el 100% de los casos, el exito puede ser muy alto.

Ver opciones avanzadas
Vamos por partes. Imaginemonos el caso de que tengamos un paquete debian que quisieramos instalar en ubuntu... todos pensaran, que sera cuestion de solo aplicar la regla general de dpkg -i paquete.deb, pero no en todos los casos tendremos exito, asi que debemos ser cuidadosos... pues el empaquetamiento cada vez se va distanciando mas entre estas dos corrientes (debian y ubuntu).

Un camino que se puede intentar es aplicar la siguiente regla

$ sudo apt-get install fakeroot alien
$ fakeroot alien --to-tgz paquete.deb
$ fakeroot alien --to-deb paquete.tgz
$ sudo dpkg -i paquete-1_all.deb


Antes eso si, se debe cuidar de que todas las dependencias sean cubiertas, esto significa, que si al aplicar

$ sudo dpkg -i paquete.deb

Nos generase un error del tipo

dpkg: problemas de dependencias impiden la configuración de paquete.deb
paquete.deb depende de xxxxx sin embargo:
el paquete xxxxx no está instalado.
dpkg: error al procesar paquete.deb (--install):
problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar: paquete.deb


Ahora bien si miramos con atension y vemos que tenemos la siguiente situasion, quisas podamos instalar el paquete pertinente sin problemas.

Segun Synaptic/APT/Aptitude entre los candidatos tenemos PAQUETE_1.2a.deb y en el error se nos comenta que la dependencia es faltante es PAQUETE_1.2.deb, y mirando los detalles de cada paquete vemos que son identicos (exceptuando el detalle en la version), podemos entonces instalar la version disponible en nuestro sistema y jugar un poco con el resto, segun se explica mas arriba.

Por ejemplo:

$ sudo dpkg -i paquete.deb

Nos generase un error del tipo

dpkg: problemas de dependencias impiden la configuración de paquete.deb
paquete.deb depende de paquete_1.2.deb
sin embargo: el paquete paquete_1.2.deb no está instalado.
dpkg: error al procesar paquete.deb (--install):
problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar: paquete.deb

$ sudo apt-cache search paquete
paquete_1.2a bla bla

Aqui vemos que deberemos instalar:

$ sudo apt-get install paquete_1.2a


Y volvemos a aplicar los primeros pasos explicados al principio.


~ Comentar | Referencias (0)



Blog alojado en ZoomBlog.com

 

 

<<   Enero 2006  >>
LMMiJVSD
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31      

Categorías
General [2] Sindicar categoría
Artes [2] Sindicar categoría
Bloggs [8] Sindicar categoría
Codigo [4] Sindicar categoría
Criticon [9] Sindicar categoría
Generalisimo [7] Sindicar categoría
Jabber [7] Sindicar categoría
JavaOpinion [2] Sindicar categoría
Linux [17] Sindicar categoría
Literatura [3] Sindicar categoría
OpenSoftware [9] Sindicar categoría
Politica [6] Sindicar categoría
Recetas [12] Sindicar categoría
SinCabida [13] Sindicar categoría
SoftOpinion [10] Sindicar categoría
Tips [4] Sindicar categoría

 




un.album.cool
This is a Flickr badge showing public photos from MiAlbum. Make your own badge here.

otro.album.cool